{--------------------------------------------------------}
{
{    Programa de impressao do DOSVOX
{
{    Modulo de mensagens
{
{    Autor: Jose' Antonio Borges
{
{    Em marco/96
{
{--------------------------------------------------------}

unit lismsg;
interface
uses  dvcrt, dvWin, lisvars;

function pegaTextoMensagem (nomeArq: string): string;
procedure mensagem (nomeArq: string; nlf: integer);

implementation

function pegaTextoMensagem (nomeArq: string): string;
var s: string;
begin
    if nomeArq = 'LIINIC' then
        s := 'Impressor - NCE/UFRJ - v.'
    else
    if nomeArq = 'LINOMARQ' then
        s := 'Qual o nome do arquivo a imprimir ? '
    else
    if nomeArq = 'LIERRLEI' then
        s := 'Erro de leitura no arquivo'
    else
    if nomeArq = 'LIIMPCAN' then
        s := 'Impresso cancelada'
    else
    if nomeArq = 'LIERRPRN' then
        s := 'No consegui alocar a impressora'
    else
    if nomeArq = 'LIARQNAO' then
        s := 'Este arquivo no existe'
    else
    if nomeArq = 'LICOLPAP' then
        s := 'Quantas colunas tem o papel (geralmente 80) ? '
    else
    if nomeArq = 'LILINPAP' then
        s := 'Quantas linhas tem o papel (geralmente 66) ? '
    else
    if nomeArq = 'LIPRILIN' then
        s := 'Primeira linha a imprimir (geralmente 3):  '
    else
    if nomeArq = 'LIULTLIN' then
        s := 'ltima linha a imprimir (geralmente 62):   '
    else
    if nomeArq = 'LIPRICOL' then
        s := 'Primeira coluna a imprimir (geralmente 8): '
    else
    if nomeArq = 'LIULTCOL' then
        s := 'ltima coluna a imprimir (geralmente 72):  '
    else
    if nomeArq = 'LIGUARDA' then
        s := 'Guardo esses valores como novos padres ? '
    else
    if nomeArq = 'LIPADRAO' then
        s := 'Posso usar a configurao habitual ? '
    else
    if nomeArq = 'LINUMERA' then
        s := 'Deseja numerao de pginas ? '
    else
    if nomeArq = 'LINCOP' then
        s := 'Quantas cpias ? '
    else
    if nomeArq = 'LIPAGINI' then
        s := 'Pgina inicial a imprimir (assumo 1) ? '
    else
    if nomeArq = 'LIPAGFIN' then
        s := 'Pgina final a imprimir (assumo 9999) ? '
    else
    if nomeArq = 'LINUMINI' then
        s := 'Nmero a imprimir na pgina inicial (assumo 1) ? '
    else
    if nomeArq = 'LIMUDPAD' then
        s := 'Deseja configurar padres fsicos de impresso ? '
    else
    if nomeArq = 'LIPOSIMP' then
        s := 'Posso imprimir agora ? '
    else
    if nomeArq = 'LICOMPL' then
        s := 'Impresso completada'
    else
    if nomeArq = 'LITRIMPA' then
        s := 'Deseja trocar impressora padro do DOSVOX ? '
    else
    if nomeArq = 'LISEMIMP' then
        s := 'No existe impressora instalada'
    else
    if nomeArq = 'LIIMEX' then
        s := 'As impressoras existentes so: '
    else
    if nomeArq = 'LIQUDEPA' then
        s := 'Qual impressora voc deseja tornar padro ? '
    else
    if nomeArq = 'LIIMPAAL' then
        s := 'Impressora padro alterada.'
    else
    if nomeArq = 'LIMAIMAT' then
        s := 'Mantida impressora atual'
    else
        s := '--> Mensagem invlida: ' + nomeArq;

   pegaTextoMensagem := s;
end;

{--------------------------------------------------------}
{                    d uma mensagem
{--------------------------------------------------------}

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
    s: string;

begin
    s := pegaTextoMensagem (nomeArq);

    if nlf >= 0 then write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom (nomearq) then
        sintSom (nomearq)
    else
        sintetiza (s);
end;

end.
